/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "claw", "index.html", [
    [ "Presentation", "index.html#main-presentation", null ],
    [ "Download", "index.html#main-download", null ],
    [ "Licence", "index.html#main-licence", null ],
    [ "Contact", "index.html#main-contact", null ],
    [ "Containers", "containers.html", [
      [ "Multi Type Map", "containers.html#container-multi_type_map", null ],
      [ "AVL Binary Search Trees", "containers.html#container-avl", null ]
    ] ],
    [ "Bézier curves", "curves.html", [
      [ "Introduction", "curves.html#curve-introduction", null ],
      [ "The curve class", "curves.html#curve-curve-class", null ],
      [ "The control_point class", "curves.html#curve-control-point-class", [
        [ "Accessing the control points of a curve", "curves.html#curve-access-control-point", null ],
        [ "Adding a control point to a curve", "curves.html#curve-add-control-point", null ]
      ] ],
      [ "The resolved_point class", "curves.html#curve-resolved-point-class", null ],
      [ "The section class", "curves.html#curve-section-class", [
        [ "Computing the points of the curve", "curves.html#curve-section-point-computation", null ],
        [ "Other properties of the curve.", "curves.html#curve-section-properties-computation", null ]
      ] ]
    ] ],
    [ "Multi Type Map", "multi_type_map.html", [
      [ "Why this class", "multi_type_map.html#mtm-why", null ],
      [ "Examples", "multi_type_map.html#mtm-examples", [
        [ "Declaring and using a multi_type_map", "multi_type_map.html#mtm-examples-declaration", null ],
        [ "Exploring the whole map", "multi_type_map.html#mtm-examples-visitor", null ]
      ] ],
      [ "Classes related to the multi type map", "multi_type_map.html#mtm-classes", [
        [ "The claw::multi_type_map class", "multi_type_map.html#mtm-mtm", null ],
        [ "claw::multi_type_map_visitor to explore a map", "multi_type_map.html#mtm-visitor", null ]
      ] ]
    ] ],
    [ "C++ Tweeners", "tweeners.html", [
      [ "Why this library", "tweeners.html#tweener-why", null ],
      [ "Examples", "tweeners.html#tweener-examples", [
        [ "Interpolating the value of a variable", "tweeners.html#tweener-example-var", null ],
        [ "Interpolating the value of several variables", "tweeners.html#tweener-example-group", null ],
        [ "Interpolating values using callbacks", "tweeners.html#tweener-example-callback", null ]
      ] ],
      [ "Tweener classes", "tweeners.html#tweener-classes", [
        [ "The contract of the tweeners", "tweeners.html#tweener-tweener-contract", null ],
        [ "claw::tween::single_tweener", "tweeners.html#tweener-single_tweener", null ],
        [ "claw::tween::tweener_group", "tweeners.html#tweener-tweener_group", null ],
        [ "claw::tween::tweener_sequence", "tweeners.html#tweener-tweener_sequence", null ]
      ] ],
      [ "Easing functions", "tweeners.html#tweener-easing-functions", [
        [ "The contract of the easing functions", "tweeners.html#tweener-easing-contract", null ],
        [ "claw::tween::symmetric_easing", "tweeners.html#tweener-easing-symmetric", null ],
        [ "Predefined easing functions", "tweeners.html#tweener-easing-predefined", null ]
      ] ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"algorithm_8hpp.html",
"classclaw_1_1binary__node.html#a120530e6022864ebd1ba68fdfc57507a",
"classclaw_1_1graphic_1_1image.html#a68af0e0274c94bf9e3cd54b140ce8d2e",
"classclaw_1_1graphic_1_1xbm.html",
"classclaw_1_1net_1_1basic__isocket__stream.html#a18958ad7537899fae65d06fbec402d97",
"classclaw_1_1wrapped__iterator.html#ab234a67ec1eb09550b2c541daee918fe",
"it__index_8hpp.html",
"structclaw_1_1graphic_1_1jpeg_1_1writer_1_1destination__manager.html#aa5ea48f516aa0241f397204f0cc61039",
"structclaw_1_1meta_1_1type__list__maker__6.html"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';